Bug 859394 - [fork]"rhc app cartridge status" always says the status of mysql/postgresql is "stopped or inaccessible"
[fork]"rhc app cartridge status" always says the status of mysql/postgresql i...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 08:37 EDT by jizhao
Modified: 2015-05-14 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-09-21 08:37:50 EDT
Description of problem:
Use "rhc app cartridge status" to check the status embedded mysql/postgresql. It only happens on this fork ami.

Version-Release number of selected component (if applicable):
fork_ami_US2105_129

How reproducible:
Always

Steps to Reproduce:
1.Create an app
2.Embed mysql-5.1/postgresql-8.4 to it
3.ssh login the app to connect to mysql/postgresql.
$ mysql
or
$ psql
4.Check mysql/postgresql status
$ rhc app cartridge status -a <app_name> -c <cartridge_name> -d
  
Actual results:
3.Mysql/Postgresql can be connected.
4.Mysql/Postgres is either stopped or inaccessible

Expected results:
Mysql/Postgres should be running.

Additional info:
Comment 1 Jianwei Hou 2012-09-24 06:40:28 EDT
Verified on fork_ami_US2105_133

Steps:
1. Createa an app and embed mysql
2. check app status from CLI:
rhc app cartridge status -a <app_name> -c <cartridge_name> -d
3. repeat step 1~2 for postgresql

Check both mysql and postgresql cartridges.


RESULT:
MySQL is running

RESULT:
PostgreSQL server instance is running

Note You need to log in before you can comment on or make changes to this bug.